/**
 * This package contains the base classes for all extension points in install4j as well as special property classes.
 * <p>
 * See the <a href="../../../../overview-summary.html">API overview</a> for general remarks on
 * how to use the install4j API.
 * </p>
 * <p>
 * The specific interfaces of
 * <a href="../screens/package-summary.html">screens</a>,
 * <a href="../actions/package-summary.html">actions</a> and
 * <a href="../formcomponents/package-summary.html">form components</a>
 * all implement the {@link com.install4j.api.beans.Bean} marker interface.
 * </p>
 * <p>
 * All abstract base classes for
 * <a href="../screens/package-summary.html">screens</a>,
 * <a href="../actions/package-summary.html">actions</a> and
 * <a href="../formcomponents/package-summary.html">form components</a>
 * extend the  {@link com.install4j.api.beans.AbstractBean} class that offers utility methods
 * for replacing variables in user-configured property values.
 * </p>
 * <p>
 * This package also includes classes for property types of beans that are specially handled by install4j.
 * </p>
 */
package com.install4j.api.beans;